apiVersion: networking.istio.io/v1alpha3  
kind: Gateway  
metadata:  
  name: validator-gateway 
  namespace: dev
spec:  
  selector:  
    istio: ingressgateway # use Istio default gateway implementation  
  servers:  
  - port:  
      name: http  
      number: 80  
      protocol: HTTP  
    hosts:  
    - '*'  
---  
apiVersion: networking.istio.io/v1alpha3  
kind: VirtualService  
metadata:  
  name: validator 
  namespace: dev
spec:  
  hosts:  
  - "*"  
  gateways:  
  - validator-gateway  
  http:  
  - match:  
    - uri:  
        prefix: /Insert
    route:  
    - destination:  
        port:  
          number: 8080  
        host: validator
  - match:  
    - uri:  
        prefix: /Hello
    route:  
    - destination:  
        port:  
          number: 8080  
        host: validator
  - match:  
    - uri:  
        prefix: /validate
    route:  
    - destination:  
        port:  
          number: 8080  
        host: validator